<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.iocoder.yudao.module.archives.mapper.ArchivesRoleMapper">

    <resultMap id="BaseResultMap" type="cn.iocoder.yudao.module.archives.entity.ArchivesRole">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="dictType" column="dict_type" jdbcType="VARCHAR"/>
            <result property="dataId" column="data_id" jdbcType="BIGINT"/>
            <result property="queryRoleIds" column="query_role_ids" jdbcType="VARCHAR"/>
            <result property="updateRoleIds" column="update_role_ids" jdbcType="VARCHAR"/>
            <result property="createRoleIds" column="create_role_ids" jdbcType="VARCHAR"/>
            <result property="deleteRoleIds" column="delete_role_ids" jdbcType="VARCHAR"/>
            <result property="deleteRoleIds" column="delete_role_ids" jdbcType="VARCHAR"/>
            <result property="downloadRoleIds" column="download_role_ids" jdbcType="VARCHAR"/>
            <result property="deptId" column="dept_id" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_SQL">
        id,dict_type,data_id,
        query_role_ids,update_role_ids,add_role_ids,
        delete_role_ids,dept_id
    </sql>
</mapper>
